# Method: advertisers.targetingTypes.assignedTargetingOptions.get

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.targetingTypes.assignedTargetingOptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.targetingTypes.assignedTargetingOptions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.targetingTypes.assignedTargetingOptions/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.targetingTypes.assignedTargetingOptions/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.targetingTypes.assignedTargetingOptions/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.targetingTypes.assignedTargetingOptions/get#try-it)

Gets a single targeting option assigned to an advertiser.

### HTTP request

`GET https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser. |
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v3/TargetingType`)`` Required. Identifies the type of this assigned targeting option. Supported targeting types: - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_CHANNEL` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_OMID` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_YOUTUBE_VIDEO` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_YOUTUBE_CHANNEL` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_KEYWORD` - `https://developers.google.com/display-video/api/reference/rest/v3/TargetingType#ENUM_VALUES.TARGETING_TYPE_CONTENT_THEME_EXCLUSION` |
| `assignedTargetingOptionId` | `string` Required. An identifier unique to the targeting type in this advertiser that identifies the assigned targeting option being requested. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).